%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name libmpd
%define f_pkg_name libmpd
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.5.0
Release: alt1
License: LGPL
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: http://github.com/joachifm/libmpd-haskell
Source: %name-%version.tar
Summary: An MPD client library.
# Automatically added by buildreq on Thu Sep 16 2010
BuildRequires: ghc-alex ghc-happy ghc-hscolour ghc(mtl) ghc-network ghc-prof ghc-utf8-string

BuildRequires: ghc
BuildRequires(pre): rpm-build-haskell



%description
A client library for MPD, the Music Player Daemon
(<http://www.musicpd.org/>).

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Thu Mar 03 2011 Denis Smirnov <mithraen@altlinux.ru> 0.5.0-alt1
- 0.5.0

* Thu Sep 16 2010 Denis Smirnov <mithraen@altlinux.ru> 0.4.1-alt1
- Spec created by cabal2rpm 0.20_08
